# New Features

## [Documentation with LLM assisted generation](/frends-development/ai-features/documentation-generation.md) <a href="#h_68fddd5694" id="h_68fddd5694"></a>

We've added the new Process documentation feature where you can provide documentation for a Process with Markdown format. To ease the blank page syndrome, you can get started with your documentation by having the AI describe the Process. The LLM will be provided with the configuration data and execution graph for your Process and it will provide you with a description what the Process does.

1. Contextual Information: System prompts are integrated to provide contextual details for Process configuration, including the Process execution graph and used parameter data
2. Seamless Integration: Seamlessly connects to our LLM service (Azure Open AI) for effortless use.
3. Security: For security and flexibility, the LLM does not automatically use the Data provided to it for further training. It is also possible to see and modify the context that is being sent to the LLM to make sure nothing sensitive is being exposed.
4. Auditability: We provide an audit log for admins so they can see all the LLM sessions and the data that was sent. The admin is also able to clear entries from the audit log which may contain sensitive data.

## [LLM assisted code shape generation](/frends-development/ai-features/ai-assisted-development.md) <a href="#h_cfb79f9797" id="h_cfb79f9797"></a>

We are introducing an advanced feature within Frends that enables users to create Code shapes efficiently through natural language prompts. This enhancement streamlines the process of writing C# code to perform complex integration tasks within your integration processes.

1. Contextual Information: System prompts are integrated to provide contextual details for process configuration, including Environment Variable names, Process variable names, Trigger variable names, and Task results.
2. Seamless Integration: When opted in the Process Editor seamlessly connects to our LLM service (Azure Open AI) for effortless use.
3. Security: For security and flexibility, the LLM does not automatically use the Data provided to it for further training. It is also possible to see and modify the context that is being sent to the LLM to make sure nothing sensitive is being exposed.
4. Auditability: We provide an audit log for admins so they can see all the LLM sessions and the data that was sent. The admin is also able to clear entries from the audit log which may contain sensitive data.

## [LLM assisted Task configuration](/frends-development/ai-features/ai-assisted-development.md) <a href="#h_90e8e23270" id="h_90e8e23270"></a>

We are also introducing a feature that allows users to configure Tasks seamlessly through natural language prompts. This simplifies the process of configuring Task parameters, creating low-code mapping configurations and utilizing Task results and other variables when configuring Frends tasks.

1. Effortless Task Configuration: Users can effortlessly configure Tasks by describing the required functionality for the Task using plain language, eliminating the need for manual configuration.
2. Contextual Continuity: This feature retains the chat context, enabling users to iteratively enhance Task configurations within the same conversation as well as test out their configuration at any time.
3. Security: For security and flexibility, the LLM does not automatically use the Data provided to it for further training. It is also possible to see and modify the context that is being sent to the LLM to make sure nothing sensitive is being exposed.
4. Auditability: We provide an audit log for admins so they can see all the LLM sessions and the data that was sent. The admin is also able to clear entries from the audit log which may contain sensitive data.

## [DMN (Decision Model and Notation)](/reference/shapes/activity-shapes/dmn-task.md) <a href="#h_bad356aed2" id="h_bad356aed2"></a>

We are introducing a valuable enhancement to the Frends Process Editor by incorporating Decision Model and Notation (DMN) functionality. DMN provides an efficient means of mapping data and decision-making, as described in detail [here](https://en.wikipedia.org/wiki/Decision_Model_and_Notation).

1. DMN Shape Integration: With this feature, we are introducing a dedicated DMN shape within the Frends Process Editor. This shape will allow users to create input maps following the table structure outlined in the Wikipedia article.
2. Mapping to Frends Variables: Users can easily associate DMN inputs with various Frends variables, streamlining the data mapping process.
3. Output Generation: The result of the DMN shape will provide corresponding outputs based on the input configurations ready to be used in following integration Tasks and steps.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frends.com/release-notes/frends-6.0/new-features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
